# Type Alias ActionHandler

ActionHandler: (
context: string,
path: string,
value: unknown,
callback: (result: ActionResult) => void,
) => ActionResult

Handler function for PUT/action requests.

#### Type Declaration

- - (
    context: string,
    path: string,
    value: unknown,
    callback: (result: ActionResult) => void,
    ): ActionResult

  - #### Parameters

    - context: string

      The context (e.g., 'vessels.self')

    - path: string

      The path specified in the PUT request

    - value: unknown

      The value being set (type depends on the path)

    - callback: (result: ActionResult) => void

      Callback for async completion

    #### Returns ActionResult

- Defined in serverapi.ts:496